<script setup>
import 'bootstrap/dist/css/bootstrap.css'
import 'bootstrap/dist/js/bootstrap.js'
import Analytics from './components/Analytics.vue'
import Table from './components/Table.vue'
import HelloWorld from './components/HelloWorld.vue'
</script>

<template>
  <header>
    <Analytics />
    <div class="header-border"></div>
    <!-- <HelloWorld /> -->
  </header>
  <main>
      <Table />
  </main>
</template>

<style scoped>
.wrapper {
  display: flex;
}

header {
  width: 95%;
  /* border-right: 1px solid lightgray; this adds the vertical line */
}

@media screen and (min-width: 1024px) {
  .header-border {
    position: absolute;
    top: 2.5%;
    right: 0;
    height: 95%;
    border-right: 1px solid lightgray;
  }
}

main {
  width: 95%;
}
</style>
